package com.example.test_lang_sdk;

import in.cdac.gist.android.languagesdk.GeditText;
import in.cdac.gist.android.languagesdk.GistConverter;
import in.cdac.gist.android.languagesdk.GistConverter.Language;
import android.app.Activity;
import android.graphics.Color;
import android.graphics.Typeface;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CheckedTextView;
import android.widget.RadioButton;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends Activity {

	private static final String textView_string= "टेक्स्ट व्यू ";
	private static final String button_string = "बटन";
	private static final String toggleButton_String = "टॉगल बटन";
	private static final String toggleButton_On_String = "टॉगल बटन ऑन ";
	private static final String toggleButton_Off_String = "टॉगल बटन ऑफ";
	private static final String radioButton_String = "रेडियो बटन";
	private static final String checkbox_String = "चेक बॉक्स ";
	private static final String checkedtextview_String = "चेक्ड टेक्स्ट व्यू";
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
                
        //Create a Hindi typeface from the Hindi font 
        Typeface tf = Typeface.createFromAsset(getAssets(), "fonts/HIN_v1_00.ttf");
        
        //get an instance of the GistConverter 
        GistConverter conv =  GistConverter.getInstance();
        
        if(conv != null) {
        	
        	
        	/******************************** TextView ****************************/
        	TextView tv = (TextView)findViewById(R.id.textview1);
        	//Set the proper typeface
        	tv.setTypeface(tf);
        	//Unicode string to be displayed should be passed to UnicodeToFontCode with proper language tag.
        	//This returns the string of display codes to be displayed on the textview.
        	String fontcodes = conv.UnicodeToFontcode(textView_string, Language.HIN);
        	//Use validateUnicodeString() to validate the Unicode string for the given Language.
        	//This method returns -1 if the Unicode string is valid else it returns index of the
        	//incorrect Unicode in the String.
        	//int retval = conv.validateUnicodeString(textView_string, Language.HIN);
        	//if(retval < 0) {
        		//String is valid
        	//} else {
        		//String is not valid, retval is the index of the incorrect unicode
        	//}
        	tv.setText(fontcodes);
        	/***************************************************************************/
        	
        	/************************Button****************************************************************/
        	Button bt = (Button)findViewById(R.id.button1);
        	bt.setTypeface(tf);
        	bt.setText(conv.UnicodeToFontcode(button_string, Language.HIN));
        	/************************Button****************************************************************/
        	
        	/************************Toggle Button****************************************************************/
        	ToggleButton togglebt = (ToggleButton)findViewById(R.id.toggleButton1);
        	togglebt.setTypeface(tf);
        	togglebt.setTextOff(conv.UnicodeToFontcode(toggleButton_Off_String, Language.HIN));
        	togglebt.setTextOn(conv.UnicodeToFontcode(toggleButton_On_String, Language.HIN));
        	togglebt.setText(conv.UnicodeToFontcode(toggleButton_String, Language.HIN));
        	/**********************************************************************************************/
        	
        	/************************CheckBox****************************************************************/
        	CheckBox checkbox1 = (CheckBox)findViewById(R.id.checkBox1);
        	checkbox1.setTypeface(tf);
        	checkbox1.setText(conv.UnicodeToFontcode(checkbox_String, Language.HIN));
        	/******************************************************************************************/
        	
        	/************************RadioButton****************************************************************/
        	RadioButton radiobt = (RadioButton)findViewById(R.id.radioButton1);
        	radiobt.setTypeface(tf);
        	radiobt.setText(conv.UnicodeToFontcode(radioButton_String, Language.HIN));
        	/********************************************************************************************/
        	
        	/************************CheckedTextView****************************************************************/
        	CheckedTextView checkedtv = (CheckedTextView)findViewById(R.id.checkedTextView1);
        	checkedtv.setTypeface(tf);
        	checkedtv.setText(conv.UnicodeToFontcode(checkedtextview_String, Language.HIN));
        	/*********************************************************************************************/
        	
        	/************************Spinner****************************************************************/
        	String arr_HNCat[]= getResources().getStringArray(R.array.String_Array);
        	//Pass array of Hindi Unicodes to the ArrayAdapter below
        	ArrayAdapter<String> adapter = new ArrayAdapter<String>(this, R.layout.spinaca, arr_HNCat) {
        	GistConverter conv = GistConverter.getInstance();
        	public View getView(int position, View convertView, ViewGroup parent) {
        	View v = super.getView(position, convertView, parent);
        	Typeface externalFont=Typeface.createFromAsset(getAssets(), "fonts/HIN_v1_00.ttf");
        	((TextView) v).setTypeface(externalFont);
        	((TextView) v).setTextColor(Color.BLACK);
        	((TextView)v).setTextSize(40f);
        	((TextView)v).setText(conv.UnicodeToFontcode(getItem(position), Language.HIN));
        	return v;
        	}
        	public View getDropDownView(int position, View convertView, ViewGroup parent) {
        	View v =super.getDropDownView(position, convertView, parent);
        	Typeface externalFont=Typeface.createFromAsset(getAssets(), "fonts/HIN_v1_00.ttf");
        	((TextView) v).setTypeface(externalFont);
        	((TextView) v).setTextSize(20);
        	((TextView)v).setText(conv.UnicodeToFontcode(getItem(position), Language.HIN));
        	return v;
        	}
        	};
        	Spinner spn = (Spinner)findViewById(R.id.spinner1);
        	
        	adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        	spn.setAdapter(adapter);
        	
        	/************************************************************************************************/
        	
        	/************************EditText****************************************************************/
        	GeditText et = (GeditText)findViewById(R.id.editText1);
        	//Language for the EditText can be set from xml. Refer activity_main.xml in res/layout
        	//Or you can change the Language by using setLanguage() method
        	//et.setLanguage(Language.HIN); 
        	et.setTypeface(Typeface.createFromAsset(getAssets(), "fonts/HIN_v1_00.ttf"));
        	//Use getComposedUnicodeString to get the composed Unicode text in the EditText
        	//String composedtext = et.getComposedUnicodeString().toString();
        	
        	//Use appendIndicText() to append the Unicode text to the end of the existing text 
        	//in the EditText
        	//et.appendIndictext(textView_string);
        	
        	//Use setIndicText() to replace the existing text in EditText with the given Unicode text
        	//et.setIndictext(textView_string);
        	
        	//Use clearall() to clear the text in the EditText
        	//et.clearall();
        	/****************************************************************************************/
        }
    }
    public boolean onButtonClick(View v) {
    	Spinner spn = (Spinner)findViewById(R.id.spinner1);
    	String str = spn.getSelectedItem().toString();
    	GeditText et = (GeditText)findViewById(R.id.editText1);
    	et.setIndictext(str);
    	return true;
    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
}
